Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.gems.behaviors
Class HotSwapping

    java.lang.Object
      org.picocontainer.behaviors.AbstractBehaviorFactory
          org.picocontainer.gems.behaviors.HotSwapping

All Implemented Interfaces:
  Serializable, org.picocontainer.BehaviorFactory, org.picocontainer.ComponentFactory

    public class HotSwapping

extends org.picocontainer.behaviors.AbstractBehaviorFactory

Hides implementation.

Author:
  Paul Hammant, Aslak Hellesøy
See Also:
  `HotSwappable`, Serialized Form

Constructor Summary
`HotSwapping()`

Method Summary
`
`<T> org.picocontainer.ComponentAdapter<T>`
` | `addComponentAdapter(org.picocontainer.ComponentMonitor componentMonitor, org.picocontainer.LifecycleStrategy lifecycleStrategy, Properties componentProperties, org.picocontainer.ComponentAdapter<T> adapter)`
`
`<T> org.picocontainer.ComponentAdapter<T>`
` | `createComponentAdapter(org.picocontainer.ComponentMonitor componentMonitor, org.picocontainer.LifecycleStrategy lifecycleStrategy, Properties componentProperties, Object componentKey, Class<T> componentImplementation, org.picocontainer.Parameter... parameters)`

Methods inherited from class org.picocontainer.behaviors.AbstractBehaviorFactory
`accept, arePropertiesPresent, getAndRemovePropertiesIfPresentByKey, mergeProperties, removePropertiesIfPresent, verify, wrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HotSwapping

    public HotSwapping()

Method Detail

### createComponentAdapter

    public <T> org.picocontainer.ComponentAdapter<T> createComponentAdapter(org.picocontainer.ComponentMonitor componentMonitor,
                                                                            org.picocontainer.LifecycleStrategy lifecycleStrategy,
                                                                            Properties componentProperties,
                                                                            Object componentKey,
                                                                            Class<T> componentImplementation,
                                                                            org.picocontainer.Parameter... parameters)
                                                                 throws org.picocontainer.PicoCompositionException

  Specified by:
    `createComponentAdapter` in interface `org.picocontainer.ComponentFactory`
  Overrides:
    `createComponentAdapter` in class `org.picocontainer.behaviors.AbstractBehaviorFactory`
  Throws:
    `org.picocontainer.PicoCompositionException`

### addComponentAdapter

    public <T> org.picocontainer.ComponentAdapter<T> addComponentAdapter(org.picocontainer.ComponentMonitor componentMonitor,
                                                                         org.picocontainer.LifecycleStrategy lifecycleStrategy,
                                                                         Properties componentProperties,
                                                                         org.picocontainer.ComponentAdapter<T> adapter)

  Specified by:
    `addComponentAdapter` in interface `org.picocontainer.BehaviorFactory`
  Overrides:
    `addComponentAdapter` in class `org.picocontainer.behaviors.AbstractBehaviorFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.